# GRIDXC helper mk
#
# In order to hide the structure of this hierarchy, this file
# will export the needed symbols for a client.
#
#----------------------------------------------------------
#
GRIDXC_USES_LIBXC = @gxc_siesta_libxc@
GRIDXC_USES_MPI   = @gxc_siesta_mpi@

ifeq ($(GRIDXC_USES_MPI),1)
  $(info GRIDXC was compiled with MPI)
endif

ifeq ($(GRIDXC_USES_LIBXC),1)
  $(info GRIDXC was compiled with libxc support)
  LIBXC_ROOT=@gxc_siesta_libxc_root@
  include @prefix@/share/org.siesta-project/libxc.mk
else
  LIBXC_INCFLAGS =
  LIBXC_LIBS     =
endif

GRIDXC_INCFLAGS = -I@prefix@/include/gridxc@PREC_SUFFIX@@ARCH_SUFFIX@ $(LIBXC_INCFLAGS)
GRIDXC_LIBS     = -L@prefix@/lib -lgridxc@PREC_SUFFIX@@ARCH_SUFFIX@ $(LIBXC_LIBS)
